# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-01-09 16:25
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import job_offers.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Application',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_name', models.CharField(max_length=50, verbose_name='last name')),
                ('first_name', models.CharField(max_length=50, verbose_name='first name')),
                ('email', models.EmailField(max_length=254, verbose_name='email')),
                ('phone', models.CharField(max_length=20, verbose_name='phone')),
                ('date', models.DateField(auto_now_add=True, verbose_name='date')),
                ('message', models.TextField(blank=True, max_length=10000, verbose_name='message')),
                ('cv', models.FileField(max_length=200, upload_to='documents/%Y/%m/%d', validators=[job_offers.models.validate_image_max_size], verbose_name='curriculum vitae')),
                ('cover_letter', models.FileField(blank=True, max_length=200, upload_to='documents/%Y/%m/%d', validators=[job_offers.models.validate_image_max_size], verbose_name='cover letter')),
                ('other_document', models.FileField(blank=True, max_length=200, upload_to='documents/%Y/%m/%d', validators=[job_offers.models.validate_image_max_size], verbose_name='other document')),
            ],
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=500, verbose_name='title')),
            ],
        ),
        migrations.CreateModel(
            name='ContractType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=1000, verbose_name='title')),
            ],
        ),
        migrations.CreateModel(
            name='JobOffer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=500, verbose_name='title')),
                ('slug', models.SlugField(max_length=500, unique=True, verbose_name='slug')),
                ('short_description', models.TextField(blank=True, verbose_name='short description')),
                ('job_description', models.TextField(blank=True, verbose_name='job description')),
                ('competences', models.TextField(blank=True, verbose_name='competences')),
                ('reference', models.CharField(max_length=100, unique=True, verbose_name='reference')),
                ('date', models.DateField(verbose_name='date')),
                ('country', models.CharField(max_length=50, verbose_name='country')),
                ('location', models.CharField(max_length=100, verbose_name='location')),
                ('geo_area', models.CharField(blank=True, max_length=100, verbose_name='Geographical area')),
                ('weight', models.IntegerField(verbose_name='weight')),
                ('is_active', models.BooleanField(default=True, verbose_name='enabled')),
                ('tags', models.CharField(blank=True, max_length=100, verbose_name='tags')),
                ('categories', models.ManyToManyField(blank=True, to='job_offers.Category')),
                ('contract_type', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='job_offers.ContractType')),
            ],
            options={
                'ordering': ['-date'],
            },
        ),
        migrations.AddField(
            model_name='application',
            name='job_offer',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='job_offers.JobOffer', verbose_name='job offer'),
        ),
    ]
