# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-02-06 15:20
from __future__ import unicode_literals

from django.db import migrations
from django.utils.text import slugify


def move_into_relations(apps, schema_editor):
    RelatedObject = apps.get_model('job_offers', 'RelatedObject')
    BusinessUnit = apps.get_model('job_offers', 'BusinessUnit')
    ContractType = apps.get_model('job_offers', 'ContractType')
    Category = apps.get_model('job_offers', 'Category')
    Sector = apps.get_model('job_offers', 'Sector')
    JobOffer = apps.get_model('job_offers', 'JobOffer')

    for bu in BusinessUnit.objects.all():
        RelatedObject.objects.create(
            name=bu.title,
            type='business_unit',
            slug=slugify(bu.title),
        )

    ContractType = apps.get_model('job_offers', 'ContractType')
    for ct in ContractType.objects.all():
        RelatedObject.objects.create(
            name=ct.title,
            type='contract_type',
            slug=slugify(ct.title),
        )

    Category = apps.get_model('job_offers', 'Category')
    for ca in Category.objects.all():
        RelatedObject.objects.create(
            name=ca.title,
            type='category',
            slug=slugify(ca.title),
        )

    Sector = apps.get_model('job_offers', 'Sector')
    for se in Sector.objects.all():
        RelatedObject.objects.create(
            name=se.title,
            type='sector',
            slug=slugify(se.title),
        )

    for location in JobOffer.objects.order_by().values_list('location', flat=True).distinct():
        RelatedObject.objects.create(
            name=location,
            type='location',
            slug=slugify(location),
        )
    for country in JobOffer.objects.order_by().values_list('country', flat=True).distinct():
        RelatedObject.objects.create(
            name=country,
            type='country',
            slug=slugify(country),
        )
    for geo_area in JobOffer.objects.order_by().values_list('geo_area', flat=True).distinct():
        RelatedObject.objects.create(
            name=geo_area,
            type='geo_area',
            slug=slugify(geo_area),
        )


class Migration(migrations.Migration):

    dependencies = [
        ('job_offers', '0004_auto_20170206_1631'),
    ]

    operations = [
        migrations.RunPython(move_into_relations),
    ]
