# -*- coding: utf-8 -*-
from django.conf.urls import url
from django.views.generic import TemplateView
from django.contrib import admin

from job_offers.views import (
    HomeView,
    SpecApplicationView,
    JobView,
    JobMediaView,
)


urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^$',
        HomeView.as_view(),
        name='job-offer-list'),
    url(r'^(?P<related_object_name>\w+)/(?P<related_object_slug>\w+)/$',
        HomeView.as_view(),
        name='job-offer-list'),
    url(r'^speculative-application/$',
        SpecApplicationView.as_view(),
        name='job-offer-speculative-application'),
    url(r'^success/$',
        TemplateView.as_view(template_name='job_offers/success.html'),
        name='job-offer-success'),
    url(r'^(?P<slug>[-\w]+)/$',
        JobView.as_view(),
        name='job-offer-detail'),
    url(r'^media/(?P<path>.*)$',
        JobMediaView.as_view(),
        name='job-offer-media'),
]
